Package de.willuhn.jameica.hbci.messaging

# Class MarkOverdueMessageConsumer

java.lang.Object
de.willuhn.jameica.hbci.messaging.MarkOverdueMessageConsumer

All Implemented Interfaces:
  `de.willuhn.jameica.messaging.MessageConsumer`

@Lifecycle(CONTEXT) public class MarkOverdueMessageConsumer extends Object implements de.willuhn.jameica.messaging.MessageConsumer
Wird benachrichtigt, wenn ein Objekt gespeichert wurde und aktualisiert die Anzahl der faelligen Auftraege.

## Constructor Summary

Constructors
Constructor
Description
`MarkOverdueMessageConsumer()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`autoRegister()`
`Class[]`
`getExpectedMessageTypes()`
`void`
`handleMessage(de.willuhn.jameica.messaging.Message message)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MarkOverdueMessageConsumer

public MarkOverdueMessageConsumer()

## Method Details

### getExpectedMessageTypes

public Class[] getExpectedMessageTypes()

Specified by:
  `getExpectedMessageTypes` in interface `de.willuhn.jameica.messaging.MessageConsumer`

### handleMessage

public void handleMessage(de.willuhn.jameica.messaging.Message message) throws Exception

Specified by:
  `handleMessage` in interface `de.willuhn.jameica.messaging.MessageConsumer`
Throws:
  `Exception`

### autoRegister

public boolean autoRegister()

Specified by:
  `autoRegister` in interface `de.willuhn.jameica.messaging.MessageConsumer`